Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.chesvx

scipy.linalg.lapack.chesvx(a, b[, af, ipiv, lwork, factored, lower, overwrite_a, overwrite_b]) = <fortran function chesvx>

  Wrapper for `chesvx`.

  Parameters:
    a input rank-2 array(‘F’) with bounds (n,n)
    b input rank-2 array(‘F’) with bounds (n,nrhs)
  Returns:
    uduh rank-2 array(‘F’) with bounds (n,n) and af storage
    ipiv rank-1 array(‘i’) with bounds (n)
    x rank-2 array(‘F’) with bounds (n,nrhs)
    rcond float
    ferr rank-1 array(‘f’) with bounds (nrhs)
    berr rank-1 array(‘f’) with bounds (nrhs)
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    af input rank-2 array(‘F’) with bounds (n,n)
    ipiv input rank-1 array(‘i’) with bounds (n)
    overwrite_b input int, optional

      Default: 0

    lwork input int, optional

      Default: max(2*n,1)

    factored input int, optional

      Default: 0

    lower input int, optional

      Default: 0